// stdafx.cpp : 標準インクルード cap_sts.pch のみを
// 含むソース ファイルは、プリコンパイル済みヘッダーになります。
// stdafx.obj にはプリコンパイル済み型情報が含まれます。

#include "stdafx.h"
#include <stdio.h>

// TODO: このファイルではなく、STDAFX.H で必要な
// 追加ヘッダーを参照してください。

VOID CDECL DbgPrintf(LPSTR lpszFormat, ...)
{
#ifdef _DEBUG
    LPSTR FAR *lplpParam;
    static char szTextBuff[128];

    lplpParam = ((LPSTR FAR *)&lpszFormat) + 1;
    wvsprintf(szTextBuff, lpszFormat, (LPSTR)lplpParam);

    OutputDebugString(szTextBuff);
#endif
}

void DebugDump(BYTE* buf,ULONG size)
{
#ifdef _DEBUG
//	TRACE1("B-CAS size:%d\n",len);
	ULONG i;
	for(i = 0 ; i < size ; i ++){
		TRACE1("%02X ",(BYTE)buf[i]);
//		if(i % 16 == 15) TRACE0("\n");
	}
	TRACE0("\n");
#endif
}
